Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZAppointmentType Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ()
| get ( $id=-1)
& | getAll ()
& | getByParent ( $parent, $showAll=false, $sortby="name")
| path ( $AppointmentTypeID=0)
& | getTree ( $parentID=0, $level=0)
| id ()
| name ( $htmlchars=true)
| description ( $htmlchars=true)
| parentID ()
| parent ()
| setName ( $value)
| setDescription ( $value)
| setParent ( $value)

## Public Attributes
| $ID
| $Name
| $ParentID
| $Description
| $ExcludeFromSearch

## Detailed Description

! eZCalendar eZAppointmentType handles appointment types.

TODO Implement activeAppointments();

Definition at line 41 of file ezappointmenttype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZAppointmentType::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZAppointmentType object.

If $id is set the object's values are fetched from the database.

Definition at line 49 of file ezappointmenttype.php.

References $db, $ID, $id, and eZDB\globalDatabase().

## Member Function Documentation

## ◆ delete()

eZAppointmentType::delete | ( |  | ) |

Deletes a eZAppointmentGroup object from the database.

Definition at line 95 of file ezappointmenttype.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ description()

eZAppointmentType::description | ( |  | $htmlchars = `true` | ) |

Returns the group description.

Definition at line 283 of file ezappointmenttype.php.

References $Description.

## ◆ get()

eZAppointmentType::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

Definition at line 110 of file ezappointmenttype.php.

References $db, $id, eZDB\globalDatabase(), and Name.

## ◆ getAll()

& eZAppointmentType::getAll | ( |  | ) |

Returns all the categories found in the database.

The categories are returned as an array of eZAppointmentType objects.

Definition at line 137 of file ezappointmenttype.php.

References $db, $i, and eZDB\globalDatabase().

## ◆ getByParent()

& eZAppointmentType::getByParent | ( |  | $parent,
|  |  | $showAll = `false`,
|  |  | $sortby = `"name"`
| ) |  |

Returns the types with the AppointmentType given as parameter as parent.

If $showAll is set to true every AppointmentType is shown. By default the categories set as exclude from search is excluded from this query.

The categories are returned as an array of eZAppointmentType objects.

Definition at line 162 of file ezappointmenttype.php.

References $db, $i, and eZDB\globalDatabase().

## ◆ getTree()

& eZAppointmentType::getTree | ( |  | $parentID = `0`,
|  |  | $level = `0`
| ) |  |

Returns the categories sorted as a tree.

Definition at line 236 of file ezappointmenttype.php.

References $level, and $tree.

## ◆ id()

eZAppointmentType::id | ( |  | ) |

Returns the object ID to the AppointmentType. This is the unique ID stored in the database.

Definition at line 260 of file ezappointmenttype.php.

References $ID.

## ◆ name()

eZAppointmentType::name | ( |  | $htmlchars = `true` | ) |

Returns the name of the AppointmentType.

Definition at line 268 of file ezappointmenttype.php.

References $Name, and Name.

## ◆ parent()

eZAppointmentType::parent | ( |  | ) |

Returns the parent if one exist. If not 0 is returned.

Definition at line 306 of file ezappointmenttype.php.

## ◆ parentID()

eZAppointmentType::parentID | ( |  | ) |

Returns the parentID, which is 0 if there is no parent.

Definition at line 298 of file ezappointmenttype.php.

References $ParentID.

## ◆ path()

eZAppointmentType::path | ( |  | $AppointmentTypeID = `0` | ) |

Returns the current path as an array of arrays.

The array is built up like: array( array( id, name ), array( id, name ) );

See detailed description for an example of usage.

Definition at line 205 of file ezappointmenttype.php.

References $ID.

## ◆ setDescription()

eZAppointmentType::setDescription | ( |  | $value | ) |

Sets the description of the AppointmentType.

Definition at line 329 of file ezappointmenttype.php.

## ◆ setName()

eZAppointmentType::setName | ( |  | $value | ) |

Sets the name of the AppointmentType.

Definition at line 321 of file ezappointmenttype.php.

References Name.

## ◆ setParent()

eZAppointmentType::setParent | ( |  | $value | ) |

Sets the parent AppointmentType.

Definition at line 337 of file ezappointmenttype.php.

## ◆ store()

eZAppointmentType::store | ( |  | ) |

Stores a eZAppointmentType object to the database.

Definition at line 63 of file ezappointmenttype.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## Member Data Documentation

## ◆ $Description

eZAppointmentType::$Description

Definition at line 352 of file ezappointmenttype.php.

Referenced by description().

## ◆ $ExcludeFromSearch

eZAppointmentType::$ExcludeFromSearch

Definition at line 353 of file ezappointmenttype.php.

## ◆ $ID

eZAppointmentType::$ID

Definition at line 349 of file ezappointmenttype.php.

Referenced by __construct(), id(), and path().

## ◆ $Name

eZAppointmentType::$Name

Definition at line 350 of file ezappointmenttype.php.

Referenced by name().

## ◆ $ParentID

eZAppointmentType::$ParentID

Definition at line 351 of file ezappointmenttype.php.

Referenced by parentID().

The documentation for this class was generated from the following file:

- ezappointmenttype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.